Skip to main content
`Ctrl`+`K`

# SNESGetTolerances

Gets various parameters used in convergence tests.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetTolerances(SNES snes, PetscReal *atol, PetscReal *rtol, PetscReal *stol, PetscInt *maxit, PetscInt *maxf)

Not Collective

## Input Parameters

- snes - the `SNES` context

- atol - absolute convergence tolerance

- rtol - relative convergence tolerance

- stol - convergence tolerance in terms of the norm of the change in the solution between steps

- maxit - maximum number of iterations

- maxf - maximum number of function evaluations

## Note

The user can specify `NULL` for any parameter that is not needed.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetTolerances()`

## Level

intermediate

## Location

src/snes/interface/snes.c

## Examples

src/snes/tutorials/ex2.c
src/snes/tutorials/ex3k.kokkos.cxx
src/snes/tutorials/ex3.c
src/snes/tutorials/ex35.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages